%define upstream_name Email-MIME-ContentType
%define upstream_version 1.018

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Summary:    Parse a MIME Content-Type Header
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module is responsible for parsing email content type headers according to
section 5.1 of RFC 2045. It returns a hash as above, with entries for the
discrete type, the composite type, and a hash of attributes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.18.0-3.mga6
+ Revision: 1026907
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.18.0-2.mga6
+ Revision: 967639
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.18.0-1.mga6
+ Revision: 849931
- update to 1.018

* Wed Oct 15 2014 umeabot <umeabot> 1.17.0-4.mga5
+ Revision: 751106
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.17.0-3.mga5
+ Revision: 684622
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 531923
- Mageia 4 Mass Rebuild

* Mon Aug 12 2013 sander85 <sander85> 1.17.0-1.mga4
+ Revision: 465790
- update to 1.017

* Sun Jan 13 2013 umeabot <umeabot> 1.15.0-2.mga3
+ Revision: 366805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.15.0-1.mga1
+ Revision: 11159
- imported package perl-Email-MIME-ContentType


* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.15.0-1mdv2010.0
+ Revision: 337648
- new release
- use standardized version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.01.4-3mdv2009.0
+ Revision: 256772
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.01.4-1mdv2008.1
+ Revision: 135833
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.01.4-1mdv2008.0
+ Revision: 48064
- update to new version 1.014


* Tue Nov 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01.2-1mdv2007.0
+ Revision: 87875
- new version

* Fri Nov 17 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01.1-3mdv2007.1
+ Revision: 85092
- new version
- Import perl-Email-MIME-ContentType

* Fri Sep 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-3mdv2007.0
- Rebuild

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-2mdk
- fix description lines length

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdk
- first mdk release

